<?php 

/*
 |------------
 | Styles
 |------------
 */
add_action( 'admin_init', 'wp_spacecontent_style' );
function wp_spacecontent_style()
{
    wp_register_style( 'wp_spacecontent_style', plugins_url('/wp-spacecontent/css/scstyle.css') );
}

function wpsc_enqueue_style()
{
    wp_enqueue_style('wp_spacecontent_style');
}

/*
 |------------
 | Menu
 |------------
 */
function wp_spacecontent_menu()
{
    $page = add_menu_page( 'Space Content', 'Space Content', 'manage_options', 'wp-spacecontent', 'wp_spacecontent_options', 'dashicons-megaphone');
    add_action( 'admin_print_styles-' . $page, 'wpsc_enqueue_style' );
}
add_action('admin_menu', 'wp_spacecontent_menu');

function wp_spacecontent_options()
{
    if ( !current_user_can( 'manage_options' ) )  {
		wp_die( __( 'You do not have sufficient permissions to access this page.', 'uncomplicated_seo' ) );
	}

	if( isset($_POST['submit']) )
	{
		if( $_POST['scwebpubid'] )
		{
			$options = array(
				'scwebpubid' => strip_tags($_POST['scwebpubid']),
			);

			update_option('wp_spacecontent_options', $options);
		}
	}

	$web = false;
	$scwebid = false;
	if( $options = get_option('wp_spacecontent_options', false) )
	{
		$scwebpubid = $options['scwebpubid'];
		$object = get_curl("https://spacecontent.net/api/plugin/", $scwebpubid );
		$web 	= $object[0];
		$places = $object[1];
		$posts 	= $object[2];
        $inbox  = $object[3];

		$stats 	= get_curl('https://spacecontent.net/api/webstats/', $web['id'] );
	}

	global $positions;
	global $sizes;

    $languages = ['de', 'es'];
    if( in_array($web['language'], $languages) ){
        $lang = $web['language'];
    }else{
        $lang = 'de';
    }

	include 'form.php';
}

/**
 * Get a CURL Response
 *
 * @url     = url target
 * @args    = array
 */
function get_curl($url, $web_id, $args = false)
{
	$url .= $web_id;

    //  Initiate curl
    $curl = curl_init();

    // Disable SSL verification
    //curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    // Will return the response, if false it print the response
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type: application/json"));

    if ($args) 
    {
        $content = json_encode($args);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $content);
    }
    
    // Set the url
    curl_setopt($curl, CURLOPT_URL, $url);
    // Send and Retrieve
    $json_response = curl_exec($curl);
    // Close Curl
    curl_close($curl);

    // Get the response
    return json_decode($json_response, true);
}

function sc_echo_html($string = '', $limit = 120)
{
    $allowed_html = array(
        'p' => array(),
        'br' => array()
    );

    $allowed_protocols = array('http', 'https');

    $text = wp_kses($string, $allowed_html, $allowed_protocols);

    if( strlen($text) > $limit ){
        $text = substr($text, 0, $limit) . '...';
    }

    echo $text;
}